Bug 200131 - poor garbage collection in cimserver during Syslog_RecordInLog test eats up all system memory
poor garbage collection in cimserver during Syslog_RecordInLog test eats up a...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Depends On:
  Show dependency treegraph
Reported: 2006-07-25 12:59 EDT by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-18 11:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2006-07-25 12:59:13 EDT
Description of problem:
When the Syslog_RecordInLog is run, cimserser allocates more and more memory
until no more memory is available. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run http://people.redhat.com/~jvdias/tog-pegasus/test_pegasus
/mnt/redhat/rel-eng/RHEL4-U4-re20060720.5/$ARCH/${ARCH}-AS/RedHat/RPMS 2>&1|tee

2. watch `ps axu|grep cimserver` in another terminal

Actual results:
>200M of allocated memory even before the optional Syslog_RecordInLog is run,
>1G of memory is no exception after the whole test is complete.

Expected results:
Cimserver should either have improved garbage collection or a way to limit it's
Comment 2 Ondrej Vasik 2010-03-18 11:54:49 EDT
As RHEL-4.9 is last update for RHEL-4 and it is not suitable for new features
and should address only security, performance and critical issues, I'm closing
that bugzilla WONTFIX. If this functionality is still missing in RHEL-5, feel
free to clone that bugzilla against it.

Note You need to log in before you can comment on or make changes to this bug.